t:connect Mobile App Compatibility

You must have a compatible smartphone and operating system to use the t:connect mobile app.

Compatible Operating Systems:

  • Apple iOS versions 14, or 15 (including all minor updates*)
  • Android OS versions 10, 11, or 12 (including all minor updates*)

*Minor operating system updates will remain compatible (i.e. iOS 15.1, iOS 14.2 etc.), customers should wait to update to any major release (i.e. iOS 16, Android 13) until we have confirmed compatibility. 

In order to use the bolus feature within the t:connect mobile app you must have a compatible smartphone, operating system, and be running software versions 6.6 (Basal-IQ Technology) or 7.6 (Control-IQ Technology) on your t:slim X2 insulin pump.

The following smartphone models are compatible with the bolus feature in the t:connect mobile app:

Apple iOS 14 or 15

  • iPhone 7 or 7 Plus
  • iPhone 8 or 8 Plus
  • iPhone 11, 11 Pro, or 11 Pro Max
  • iPhone 12, 12 Mini, 12 Pro, or 12 Pro Max
  • iPhone 13, 13 Mini, 13 Pro, or 13 Pro Max
  • iPhone SE (2nd Generation)
  • iPhone XR
  • iPhone X, XS, or XS Max

Android OS 10, 11, or 12

  • Samsung Galaxy Note 20 or Note 20 Ultra
  • Samsung Galaxy S20, S20+, S20 FE, or S20 Ultra 5G
  • Samsung Galaxy S21 5G (Model #SM-G991U is not compatible at this time to bolus from your smartphone. To find your S21 5G model number go to Settings, and tap About Phone.)

The t:connect mobile app will not work with the following smartphone models:

 Apple

  • iPhone 5, 5c, or 5s
  • iPhone 6, or 6 Plus
  • iPhone SE (1st Generation)

Android

  • Samsung Galaxy S8, S8+, or S8 Active
  • Samsung Galaxy Note 9

Why is my device not compatible with the t:connect mobile app? 

Every device must be tested individually to ensure a consistent and secure connection can be established between the t:slim X2 insulin pump and the smartphone. Smartphone devices that are not compatible with the t:connect mobile app failed our qualification tests. A failed test result indicates that the combination of operating system + smartphone make and model was determined to be non-functional for the intended use of the t:connect mobile app. An example of a reason why a device may fail these tests is the reliability of the hardware are insufficient to support app connectivity with the t:slim X2 insulin pump. 

You do not have the ability to revert back to an older app version if you are on a smartphone that is no longer compatible with the t:connect mobile app. 

If your smartphone device is not listed above, but is running a supported operating system, you may still be able to use the t:connect mobile app without the ability to bolus from your smartphone.  

 

Why is my device compatible with the t:connect mobile app but not with the new feature to bolus from my smartphone? 

Smartphone devices that have the correct operating system but are not compatible with the bolus delivery feature have not completed the required qualification tests. We continue to work diligently to test all makes and models and to add to our list of devices that you can bolus from your smartphone. 

 

How to check your Smartphone Software Version

iPhone

To check the iOS version of your iPhone, tap Settings. Tap General, then tap About.

blobid0.png

Android

To check the Android OS version on your smartphone, go to Settings, scroll down to the bottom and tap About Phone or About Device. Tap Software Information.

ZD-000041_A_Android.png

 

Which software version do I need for my t:slim X2 pump to connect to the t:connect mobile app?

  • If your pump is not compatible with the t:connect mobile app, you will not see "Bluetooth Settings" in your Options
  • To connect your t:slim X2 pump with the mobile app, you must be running software versions 6.3.1/7.3.1 or higher
  • To connect your t:slim X2 insulin pump with the mobile app with bolus delivery feature, you must be running pump software versions 6.6 or 7.6, or higher

You can see which version of software your pump is using by visiting the main menu, choosing OptionsMy Pump, and then Pump Info. Here’s more information about how to see which software version you have on your pump.

If you do not have a compatible software version on your t:slim X2 pump, you will need to complete a software update prior to using the t:connect mobile app. If you are eligible for a software update visit portal.tandemdiabetes.com and log in with your t:connect username and password. You can also view our t:connect mobile app support video for instructions.

Here’s more information about the process for getting a software update for your pump.

Please note: If you are not already using a t:slim X2 insulin pump with Basal-IQ technology or Control-IQ technology, a prescription may be required for the software update.

Note: You can continue to use any Dexcom app while operating the t:connect mobile app.

 

ZD-000041_B

 

 

 

 

Was this article helpful?
234 out of 381 found this helpful
Return to top